## python-dracclient 1.3.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

lxml>=2.3
pbr>=1.6
requests>=2.10.0

=== debian/changelog ===
python-dracclient (1.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #890773)

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Feb 2018 18:20:19 +0100

=== debian/control ===
Source: python-dracclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python-coverage,
 python-lxml,
 python-mock,
 python-oslosphinx,
 python-requests,
 python-requests-mock,
 python3-coverage,
 python3-lxml,
 python3-mock,
 python3-requests,
 python3-requests-mock,
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-dracclient.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-dracclient.git
Homepage: https://launchpad.net/python-dracclient

Package: python-dracclient
Architecture: all
Depends:
 python-lxml,
 python-pbr,
 python-requests,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-dracclient-doc,
Description: library for managing machines with Dell iDRAC cards - Python 2.7
 This package is a library for managing machines with Dell iDRAC cards. Besides
 normal IPMI stuff, it has BIOS settings list, set, RAID management, CPU list,
 and more.
 .
 This package contains the Python 2.7 module.

Package: python-dracclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Library for managing machines with Dell iDRAC cards - doc
 This package is a library for managing machines with Dell iDRAC cards. Besides
 normal IPMI stuff, it has BIOS settings list, set, RAID management, CPU list,
 and more.
 .
 This package contains the documentation.

Package: python3-dracclient
Architecture: all
Depends:
 python3-lxml,
 python3-pbr,
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-dracclient-doc,
Description: library for managing machines with Dell iDRAC cards - Python 3.x
 This package is a library for managing machines with Dell iDRAC cards. Besides
 normal IPMI stuff, it has BIOS settings list, set, RAID management, CPU list,
 and more.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/python-dracclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
		python$$pyvers -m coverage run --branch --source dracclient --omit "dracclient/tests*" -m unittest discover dracclient.tests ; \
	done
endif


override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-dracclient-doc/usr/share/doc/python-dracclient-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-dracclient 1.5.0

=== debian/changelog ===
python-dracclient (1.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 04:55:57 +0200

python-dracclient (1.5.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Mar 2019 23:02:40 +0100

=== debian/control ===
Source: python-dracclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-lxml,
 python3-mock,
 python3-oslosphinx,
 python3-requests,
 python3-requests-mock,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-dracclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-dracclient.git
Homepage: https://launchpad.net/python-dracclient

Package: python-dracclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Library for managing machines with Dell iDRAC cards - doc
 This package is a library for managing machines with Dell iDRAC cards. Besides
 normal IPMI stuff, it has BIOS settings list, set, RAID management, CPU list,
 and more.
 .
 This package contains the documentation.

Package: python3-dracclient
Architecture: all
Depends:
 python3-lxml,
 python3-pbr,
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-dracclient-doc,
Description: library for managing machines with Dell iDRAC cards - Python 3.x
 This package is a library for managing machines with Dell iDRAC cards. Besides
 normal IPMI stuff, it has BIOS settings list, set, RAID management, CPU list,
 and more.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/python-dracclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers -m coverage run --branch --source dracclient --omit "dracclient/tests*" -m unittest discover dracclient.tests ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-dracclient-doc/usr/share/doc/python-dracclient-doc/html
	dh_sphinxdoc
endif

## python-dracclient 3.1.0

=== debian/changelog ===
python-dracclient (3.1.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 20 Oct 2019 14:53:55 +0200

python-dracclient (3.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Sep 2019 14:55:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -19,7 +19,7 @@
  python3-oslosphinx,
  python3-requests,
  python3-requests-mock,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-dracclient
 Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-dracclient.git
 Homepage: https://launchpad.net/python-dracclient

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,6 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b html doc/source debian/python-dracclient-doc/usr/share/doc/python-dracclient-doc/html
+	python3 -m sphinx -b html doc/source debian/python-dracclient-doc/usr/share/doc/python-dracclient-doc/html
 	dh_sphinxdoc
 endif

## python-dracclient 5.1.0

=== debian/changelog ===
python-dracclient (5.1.0-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 02 Oct 2020 14:35:24 +0000

python-dracclient (5.1.0-0ubuntu1) groovy; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Oct 2020 16:20:42 -0400

python-dracclient (3.1.0-3) unstable; urgency=medium

  [ Michal Arbet ]
  * d/copyright: Add me
  * d/control: Add me to uploaders field
  * Rebuild with newest oslosphinx (Closes: #955073)

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 24 Apr 2020 18:10:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: python-dracclient
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
  debhelper-compat (= 10),
  dh-python,
@@ -16,12 +18,13 @@
  python3-coverage,
  python3-lxml,
  python3-mock,
+ python3-openstackdocstheme,
  python3-oslosphinx,
  python3-requests,
  python3-requests-mock,
 Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-dracclient
-Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-dracclient.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-dracclient
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-dracclient
 Homepage: https://launchpad.net/python-dracclient
 
 Package: python-dracclient-doc
@@ -40,9 +43,9 @@
 Package: python3-dracclient
 Architecture: all
 Depends:
- python3-lxml,
- python3-pbr,
- python3-requests,
+ python3-lxml (>= 2.3),
+ python3-pbr (>= 1.6),
+ python3-requests (>= 2.10.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-dracclient 6.0.0

=== debian/changelog ===
python-dracclient (6.0.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 21 Jul 2021 21:09:51 +0000

python-dracclient (6.0.0-0ubuntu1) impish; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 15:23:32 -0400

=== debian/control ===
--- 
+++ 
@@ -23,8 +23,8 @@
  python3-requests,
  python3-requests-mock,
 Standards-Version: 4.4.1
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-dracclient
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-dracclient
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-dracclient
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-dracclient
 Homepage: https://launchpad.net/python-dracclient
 
 Package: python-dracclient-doc

## python-dracclient 7.0.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx!=1.6.6,!=1.6.7,!=2.1.0;python_version>='3.4'  # BSD
openstackdocstheme  # Apache-2.0

=== debian/changelog ===
python-dracclient (7.0.0-0ubuntu1~cloud1) focal-yoga; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sun, 23 Jan 2022 04:58:43 +0000

python-dracclient (7.0.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.
  * d/rules: Switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 11:52:42 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,10 @@
 UPSTREAM_GIT := https://github.com/openstack/python-dracclient.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
+export PYBUILD_NAME=dracclient
+
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build

## python-dracclient 8.0.0

=== debian/changelog ===
python-dracclient (8.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 13:23:10 -0400

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,7 @@
  python3-oslosphinx,
  python3-requests,
  python3-requests-mock,
-Standards-Version: 4.4.1
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-dracclient
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-dracclient
 Homepage: https://launchpad.net/python-dracclient
